Delete a secret created through Kuben.
DELETE
/api/v1/projects/{project}/environments/{environment}/secrets/{secret}
const url = 'https://example.com/api/v1/projects/example/environments/example/secrets/example';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/v1/projects/example/environments/example/secrets/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project
required
string
Project name
environment
required
string
Environment short name
secret
required
string
Secret name
Responses
Section titled “Responses”Deleted
Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}